/**
  ******************************************************************************
  * File Name          : gpio.h
  * Description        : This file contains all the functions prototypes for 
  *                      the gpio  
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __gpio_H
#define __gpio_H
#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "ht32.h"
#include "main.h"

/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

void GPIO_Init(void);

/* USER CODE BEGIN Prototypes */
void InitBC45_IRQ(void);
void DisableBC45_IRQ(void);
void EnableBC45_IRQ(void);
void DisableAllPeripheral(void);
//void InitBC45_GPIO_Pin(void);
void InitUart_Pin(void);
void InitSPI_Pin(void);
void InitLED_GPIO_Pin(void);
//void BC45_SPI_NCS_SET(void);

void SPI1_Init(void);
void SPI1_DeInit(void);
void USART1_DeInit(void);
/* USER CODE END Prototypes */

#ifdef __cplusplus
}
#endif
#endif /*__ pinoutConfig_H */

/**
  * @}
  */

/**
  * @}
  */

